import 'package:flutter/material.dart';
import 'package:syncrow_app/features/devices/model/device_model.dart';
import 'package:syncrow_app/features/devices/view/widgets/lights/light_interface_modes.dart';
import 'package:syncrow_app/features/devices/view/widgets/lights/light_interface_recent_color.dart';
import 'package:syncrow_app/features/devices/view/widgets/lights/light_interface_slider.dart';
import 'package:syncrow_app/features/shared_widgets/default_container.dart';

class LightInterfaceContols extends StatelessWidget {
  const LightInterfaceContols({
    super.key,
    required this.light,
  });

  final DeviceModel light;

  @override
  Widget build(BuildContext context) {
    return DefaultContainer(
      boxConstraints: const BoxConstraints(maxHeight: 320),
      padding: const EdgeInsets.all(25),
      margin: const EdgeInsets.symmetric(vertical: 10),
      child: Column(
        mainAxisSize: MainAxisSize.min,
        children: [
          LightInterfaceSlider(light: light),
          LightInterfaceRecentColor(light: light),
          LightInterfaceModes(light: light)
        ],
      ),
    );
  }
}
